﻿# * ======================================== *
#   >> IMPORTS
# * ======================================== *
# Eventscripts Imports
import es
dm = es.import_addon('gdeathmatch')

# * ======================================== *
#   >> LOAD & UNLOAD
# * ======================================== *
def load():
    # Register the client command filter.
    es.addons.registerClientCommandFilter(CommandFilter)

def unload():
    # Unregister the client command filter.
    es.addons.unregisterClientCommandFilter(CommandFilter)

# * ======================================== *
#   >> GAME EVENTS
# * ======================================== *
def CommandFilter(userid, args):
    # Variables.
    command = args[0].lower()

    # Block weapon drop.
    if command == 'drop':
        index = dm.GetWeaponIndex(userid, es.createplayerlist(userid)[userid]["weapon"])
        if (index != -1):
            es.remove(index)
        es.cexec(userid, "lastinv")
        return False

    # Return true for other commands.
    return True