# * ======================================== *
#   >> IMPORTS
# * ======================================== *
# Eventscripts Imports
import es

# Import Source Python Events from the main addon.
dm = es.import_addon('gdeathmatch')
spe = dm.spe

# * ======================================== *
#   >> LOAD & UNLOAD
# * ======================================== *
def load():
    spe.registerPreHook('player_hurt', pre_player_hurt)

def unload():
    spe.unregisterPreHook('player_hurt', pre_player_hurt)

# * ======================================== *
#   >> GAME EVENTS
# * ======================================== *
def pre_player_hurt(ev):
    if int(ev['hitgroup']) != 1:
        damage = int(ev['dmg_health'])
        health = int(es.getplayerprop(ev['userid'], 'CBasePlayer.m_iHealth'))
        es.setplayerprop(ev['userid'], 'CBasePlayer.m_iHealth', health+damage)