# * ======================================== *
#   >> IMPORTS
# * ======================================== *
# Eventscripts Imports
import es
from playerlib import getPlayer
from playerlib import getPlayerList

# * ======================================== *
#   >> LOAD & UNLOAD
# * ======================================== *
def load():
    # Enable noblock for every player.
    for player in getPlayerList('#alive'):
        player.noblock = 1

def unload():
    # Disable noblock for every player.
    for player in getPlayerList('#alive'):
        player.noblock = 0

# * ======================================== *
#   >> GAME EVENTS
# * ======================================== *
def player_spawn(event_var):
    # Enable noblock for this player
    getPlayer(event_var['userid']).noblock = 1